#!/bin/sh
#SBATCH -J chuffed
#SBATCH -c 2
#SBATCH -a 1-24
#SBATCH -o /dev/null
#SBATCH -e /dev/null
. ./config.sh
path="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $2}' benchmarks`"
name="`awk '$1 == "'$SLURM_ARRAY_TASK_ID'"{print $3}' benchmarks`"
binary=./binary
exec 1>"$name".log 2>"$name".err
echo "c array.sh: path:     $path"
echo "c array.sh: name:     $name"
echo "c array.sh: task:     $SLURM_ARRAY_TASK_ID"
echo "c array.sh: host:     `hostname`"
echo "c array.sh: uname:    `uname -a`"
echo "c array.sh: start:    `date`"
echo "c array.sh: noturbo:  `show-turbo-mode-disabled.sh`"
echo "c array.sh: governor: `show-scaling-governors.sh |awk '{print $NF}'|sort|uniq -c|sed -e 's,^ *,,'`"
/home/katalin/bin/runlim \
  --single \
  --time-limit="$time" \
  --real-time-limit="$time" \
  --space-limit="$space" \
  "$binary" \
  $options \
  "$path"
echo "c array.sh: end:      `date`"
